XKCDPUNK(1)

NAME
xkcdpunk - Display XKCD comics directly in your terminal

SYNOPSIS
xkcdpunk [-offline] [INPUT ...]
xkcdpunk -h | --help

DESCRIPTION
xkcdpunk will display a given xkcd comic and its alt-text directly in your terminal. Without argument, the latest known comic will be displayed. The argument can also be "random" to display a random comic.

  Positional arguments

INPUT
    XKCD number. Besides a number, "latest" and "random" are accepted values. If missing, "latest" is assumed

  Keyword arguments

--offline
    Only access already cached comics and do not download anything. "latest" will fails if no comic cached ever and "random" might fails if not enough cached comics.

EXIT STATUS

SEE ALSO
ansicat(1), netcache(1), offpunk(1), openk(1), https://offpunk.net/

AUTHORS
Lionel Dricot (Ploum) <offpunk2 at ploum.eu>